<html>
<head>
<title>OgreKeyFrame.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">OgreKeyFrame.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreVector3_8h_source.html">OgreVector3.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreQuaternion_8h_source.html">OgreQuaternion.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreIteratorWrappers_8h_source.html">OgreIteratorWrappers.h</a>&quot;</code><br/>
</div>
<p><a href="OgreKeyFrame_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html">Ogre::KeyFrame</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A key frame in an animation sequence defined by an <a class="el" href="classOgre_1_1AnimationTrack.html" title="A &#39;track&#39; in an animation sequence, i.e.">AnimationTrack</a>.  <a href="classOgre_1_1KeyFrame.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NumericKeyFrame.html">Ogre::NumericKeyFrame</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialised <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> which stores any numeric value.  <a href="classOgre_1_1NumericKeyFrame.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TransformKeyFrame.html">Ogre::TransformKeyFrame</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialised <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> which stores a full transform.  <a href="classOgre_1_1TransformKeyFrame.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexMorphKeyFrame.html">Ogre::VertexMorphKeyFrame</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialised <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> which stores absolute vertex positions for a complete buffer, designed to be interpolated with other keys in the same track.  <a href="classOgre_1_1VertexMorphKeyFrame.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">Ogre::VertexPoseKeyFrame</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialised <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose.  <a href="classOgre_1_1VertexPoseKeyFrame.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html">Ogre::VertexPoseKeyFrame::PoseRef</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reference to a pose at a given influence level.  <a href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
